#include <cstdio>
#include <cmath>
#include <cfloat>

using namespace std;

int main ()
{
#ifdef CONTEST
  freopen("281b.in", "rt", stdin);
  freopen("281b.out", "wt", stdout);
#endif

  int x, y, n;
  scanf("%d %d %d", &x, &y, &n);

  double min_d = DBL_MAX; // +infinity
  int best_a, best_b;

  for (int b=1; b<=n; b++) {
    int a = (int) ceil((double) b*x/y - 0.5);
    double d = fabs((double) x/y - (double) a/b);
    if (d < min_d) {
      min_d = d;
      best_a = a;
      best_b = b;
    }
  }
  printf("%d/%d\n", best_a, best_b);

  return 0;
}
