#include <stdio.h>
#include <vector>

using namespace std;

int main ()
{
  int N, M;
  scanf("%d %d", &N, &M);

  // we should not really be using an adjacency
  // matrix for this problem!!!
  vector<bool> A[N];
  for (int i=0; i<N; i++)
    A[i].resize(N);

  for (int i=0; i<M; i++) {
    int u, v;
    scanf("%d %d", &u, &v);
    u--; v--;
    A[u][v] = A[v][u] = true;
  }

  int count = 0;
  for (int i=0; i<N; i++) {
    int degree_i = 0;
    for (int j=0; j<N; j++)
      if (A[i][j]) degree_i++;
    if (degree_i < 2) count++;
  }
  printf("%d\n", count);
  
  return 0;
}
